package com.qmth.distributed.print.business.util.htmltopdf;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.nio.charset.StandardCharsets;
import java.util.Objects;

/**
 * @Description: htmltopdf线程
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/4/7
 */
public class HtmlToPdfInterceptor extends Thread {
    private final static Logger log = LoggerFactory.getLogger(HtmlToPdfInterceptor.class);

    private InputStream is;

    public HtmlToPdfInterceptor(InputStream is) {
        this.is = is;
    }

    @Override
    public void run() {
        BufferedReader br = null;
        try {
            InputStreamReader isr = new InputStreamReader(is, StandardCharsets.UTF_8);
            br = new BufferedReader(isr);
            String line = null;
            while ((line = br.readLine()) != null) {
                log.info(line.toString()); //输出内容
            }
        } catch (IOException e) {
            log.error("请求出错", e);
        } finally {
            try {
                if (Objects.nonNull(is)) {
                    is.close();
                }
                if (Objects.nonNull(br)) {
                    br.close();
                }
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }
}
